Skip to main content

PUT /projects

Description​

Updates data on a project and returns an empty json object

The route handles the PUT request made to the /projects/{id} path.

HTTP methodRouteQuery parameter
PUT/projectsid

Query parameters​

The query parameter sent in the request line is the following:

NameTypeDescription
idnumberRequired. The ID of the project to be updated.

Payload​

The server needs to receive a json object with all project properties (both unchanged and new/modified).

Example:

{
"label": "My Project"
}

You can find another example of the project object in the projects section.

Response​

In case of the success status, an empty json object is returned back.

The HTTP status code shows whether the request succeeds (response.status == 200) or fails (response.status == 500).


Related articles: